/*
 * (C) Copyright 2014-2016, by Dimitrios Michail
 *
 * JHeaps Library
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jheaps.monotone;

import static org.junit.Assert.assertEquals;

import java.math.BigInteger;

import org.junit.Test;

public class UnsignedUtilsTest {

	@Test
	public void test() {

		new UnsignedUtils();

		assertEquals(BigInteger.ONE, UnsignedUtils.unsignedLongToBigInt(1L));
		assertEquals(BigInteger.valueOf(Long.MAX_VALUE).add(BigInteger.ONE).multiply(BigInteger.valueOf(2))
				.subtract(BigInteger.ONE), UnsignedUtils.unsignedLongToBigInt(-1L));

		assertEquals(1.0, UnsignedUtils.unsignedLongToDouble(1L), 1e-9);
		assertEquals(1.8446744073709552E19, UnsignedUtils.unsignedLongToDouble(-1L), 1e-9);

	}

}
